package co.yixiang.yshop.module.shop.enums;

import co.yixiang.yshop.framework.common.exception.ErrorCode;

/**
 * Product 错误码枚举类
 * <p>
 * product 系统，使用 1-008-000-000 段
 */
public interface ErrorCodeConstants {

    // ========== 素材相关 1009001000 ============
    ErrorCode MATERIAL_NOT_EXISTS = new ErrorCode(1009001000, "素材库不存在");
    ErrorCode MATERIAL_GROUP_NOT_EXISTS = new ErrorCode(1009001001, "素材分组不存在");

    // ========== 商品规则值(规格)  ==========
    // ========== 门店 ==========
    ErrorCode SHOP_NOT_EXISTS = new ErrorCode(1009001002, "门店不存在");
    // ========== 门店店员 ==========
    ErrorCode SHOP_ASSISTANT_NOT_EXISTS = new ErrorCode(1009001003, "门店店员不存在");
    ErrorCode SHOP_ASSISTANT_NOT_WRITE_OFF = new ErrorCode(1009001004, "当前用户无核销权限");
    ErrorCode SHOP_ASSISTANT_EXIST = new ErrorCode(1009001005, "当前用户已经是店员");

    // ========== 画布信息 ==========
    ErrorCode CANVAS_NOT_EXISTS = new ErrorCode(1009002000, "装修信息不存在！");

    ErrorCode CANVAS_USED = new ErrorCode(1009002001, "装修已被使用，请先关闭！");

    ErrorCode CANVAS_DETAIL_NOT_EXISTS = new ErrorCode(1009002002, "装修详情信息不存在！");

    // ========== 广告弹窗 ==========
    ErrorCode POPUP_NOT_EXISTS = new ErrorCode(1009003000, "广告信息不存在！");

    ErrorCode POPUP_NOT_REPEAT = new ErrorCode(1009003001, "广告时间存在交叉！");

    ErrorCode POPUP_ADD_QUEUE_ERROR = new ErrorCode(1009003002, " 广告弹窗加入活动队列失败,失败信息:{}！");
    ErrorCode POPUP_REMOVE_QUEUE_ERROR = new ErrorCode(1009003003, " 广告弹窗移除活动队列失败,失败信息:{}！");

}
